/*
 * Copyright (c) 1998 by Sun Microsystems.
 * All rights reserved.
 */

#ifndef	_SYS_U4FTALARM_IO_H
#define	_SYS_U4FTALARM_IO_H

#pragma	ident	"@(#)u4ftalarm_io.h	1.3	Last Changed	99/01/11 SMI"

/*
 * u4ftalarm_io.h header file for u4ftalarm driver.
 */

#ifdef	__cplusplus
extern	"C" {
#endif

#include <sys/ioccom.h>

/* ioctls for the Unix running watchdog & General purpose alarms. */

#define	U4FTIOCALCTL		_IOW('u', 1, u4ft_aldata_t)
#define	U4FTIOCALSTATE		_IOWR('u', 2, u4ft_aldata_t)
#define	U4FTIOCDOGPAT		_IO('u', 3)
#define	U4FTIOCDOGTRIGGER	_IOW('u', 4, uint_t)
#define	U4FTIOCDOGSTATE		_IOR('u', 5, uint_t)
#define	U4FTIOCALRESET		_IO('u', 6)

/*
 * Defines for the numbers of the six alarms.
 */

#define	U4FTALARM_NUM_0	0
#define	U4FTALARM_NUM_1	1
#define	U4FTALARM_NUM_2	2
#define	U4FTALARM_NUM_3	3
#define	U4FTALARM_NUM_4	4
#define	U4FTALARM_NUM_5	5

/*
 * typedefs used in alarm ioctl definitions
 */

typedef
struct {
	unsigned int u4ftalarm_no;
	unsigned int u4ftalarm_state;
} u4ft_aldata_t;

#ifdef	__cplusplus
}
#endif
#endif	_SYS_U4FTALARM_IO_H
